public class Zombie extends gameCharacter implements gameObject {
	private int posX;
	private boolean sleepy;

	public Zombie(int pHP, int pSpeed, String pName, int pX, boolean pSleepy) {
	   super(pHP,pSpeed,pName);
	   posX = pX;
	   sleepy = pSleepy;
	}

	public void talk() {
	    System.out.println("Brains!");
	}

	public void getWeapon(Weapon w) {
	    inventory.add(w);
	}

	public void useWeapon(int n, int direction) {
	    if (!sleepy) {
		if (direction == 1)
		    inventory.get(n).moveForward();
		else
		    inventory.get(n).moveBackwards();

		inventory.get(n).use();
	    }
	}

	public void moveForward() {
	    if (!sleepy) {
		posX += getSpeed();
	    }
	}

	public void moveBackwards() {
	    if (!sleepy) {
		posX -= getSpeed();
	    }
	}

	public void wakeUp() {
	    sleepy = false;
	}

	public void sleep() {
	    sleepy = true;
	}

	public void print() {
	    for (int i=0; i < posX; i++) {
		System.out.print(" ");
	    }
	    System.out.println("Z");
	}
} 
